/*  Copyright 2007 WordPress, modifications by Google Inc.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

var GG = {


  sendToEditor: function() {
  
    var link = '';
    var display = '';
    var h = '';
    var title = jQuery('#img_title').val();
    var src = jQuery('#img_src').val();
    var thumb_src = jQuery('#img_thumb_src').val();
    var page_src = jQuery('#page_src').val();

    link = jQuery('input[@type=radio][@name="link"][@checked]','#uploadoptions').val();
    displayEl = jQuery('input[@type=radio][@name="display"][@checked]','#uploadoptions');
    if ( displayEl ) {
      display = jQuery(displayEl).val();
    }
    else {
      display = 'full';
    }

    if ( 'none' != link ) {
      h += "<a href='" + ( 'file' == link ? ( src ) : ( page_src ) ) + "'>";
    }
    if ( display && 'title' != display ) {
      h += "<img src='" + ( 'thumb' == display ? ( thumb_src ) : ( src ) ) + "' alt='" + title + "' />";
    }
    else {
      h += title;
    }
    if ( 'none' != link ) {
      h += "</a>";
    }

    var win = window.opener ? window.opener : window.dialogArguments;
    if ( !win ) {
      win = top;
    }
    tinyMCE = win.tinyMCE;
    if ( typeof tinyMCE != 'undefined' && tinyMCE.getInstanceById('content') ) {
      tinyMCE.selectedInstance.getWin().focus();
      tinyMCE.execCommand('mceInsertContent', false, h);
    } else {
      win.edInsertContent(win.edCanvas, h);
    }

    return false;
  },
  
  deleteFile: function() {
    if( confirm('Are you sure you want to delete this file?') ) {
      jQuery('#gAction').attr('value','delete');
      jQuery('#editoptions').submit();
      return true;
    }
    else {
      return false;
    }
  }
    
 }
